## python-cython-blis 0.9.1

=== requirements.txt ===
# Test requirements
numpy
pytest
cython
hypothesis>=4.0.0,<6.0.0

## python-cython-blis 0.7.6

=== debian/changelog ===
python-cython-blis (0.7.6-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 17:41:51 +0000

python-cython-blis (0.7.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2022 09:34:47 +0100

python-cython-blis (0.7.5-1) unstable; urgency=medium

  * Initial release. (Closes: #984497)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 16:02:12 +0100

=== debian/control ===
Source: python-cython-blis
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anastasiia Iurshina <anastasiia.iurshina@gmail.com>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               cython3,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-hypothesis <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/explosion/cython-blis
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/python-cython-blis
Vcs-Git: https://salsa.debian.org/science-team/python-cython-blis.git
Testsuite: autopkgtest-pkg-python

Package: python3-cython-blis
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python3-numpy
Description: Fast BLAS-like operations from Python and Cython, without the tears (Python 3)
 This repository provides the Blis linear algebra routines as a self-contained
 Python C-extension. Currently, it only supports single-threaded execution, as
 this is actually best for our workloads (ML inference).
 .
 This package installs the library for Python 3.

## python-cython-blis 0.9.1

=== debian/changelog ===
python-cython-blis (0.9.1-1) unstable; urgency=medium

  * Point watch file to github
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 17:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-hypothesis <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/explosion/cython-blis
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-cython-blis

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=blis

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-cython-blis 1.0.0

=== requirements.txt ===
# Test requirements
numpy>=2.0.0,<3.0.0
pytest
cython
hypothesis>=4.0.0,<7.0.0

=== debian/changelog ===
python-cython-blis (1.0.0-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:36:46 +0000

python-cython-blis (1.0.0-2) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Add missing Numpy ABI dependency. Closes: #1098963.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Mar 2025 01:30:00 +0100

python-cython-blis (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Relax numpy requirements until 2.0 is uploaded.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 11:20:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Anastasiia Iurshina <anastasiia.iurshina@gmail.com>,
            Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                cython3,
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-hypothesis <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/explosion/cython-blis
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-cython-blis
@@ -24,7 +25,6 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         python3-numpy
 Description: Fast BLAS-like operations from Python and Cython, without the tears (Python 3)
  This repository provides the Blis linear algebra routines as a self-contained
  Python C-extension. Currently, it only supports single-threaded execution, as

=== debian/watch ===
version=4

opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/explosion/cython-blis/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
